### Enumeration

# Soup URIComponent

since: 3.0

#### Declaration

    enum Soup.URIComponent

#### Description [src]

Enum values passed to `soup_uri_copy()` to indicate the components of the URI that should be updated with the given values.

Available since: 3.0

#### Members

`SOUP_URI_NONE`

  No component.

  - Value: `0`
  - Nickname: `none`
  - Available since: 3.0
`SOUP_URI_SCHEME`

  The URI scheme component.

  - Value: `1`
  - Nickname: `scheme`
  - Available since: 3.0
`SOUP_URI_USER`

  The URI user component.

  - Value: `2`
  - Nickname: `user`
  - Available since: 3.0
`SOUP_URI_PASSWORD`

  The URI password component.

  - Value: `3`
  - Nickname: `password`
  - Available since: 3.0
`SOUP_URI_AUTH_PARAMS`

  The URI authentication parameters component.

  - Value: `4`
  - Nickname: `auth-params`
  - Available since: 3.0
`SOUP_URI_HOST`

  The URI host component.

  - Value: `5`
  - Nickname: `host`
  - Available since: 3.0
`SOUP_URI_PORT`

  The URI port component.

  - Value: `6`
  - Nickname: `port`
  - Available since: 3.0
`SOUP_URI_PATH`

  The URI path component.

  - Value: `7`
  - Nickname: `path`
  - Available since: 3.0
`SOUP_URI_QUERY`

  The URI query component.

  - Value: `8`
  - Nickname: `query`
  - Available since: 3.0
`SOUP_URI_FRAGMENT`

  The URI fragment component.

  - Value: `9`
  - Nickname: `fragment`
  - Available since: 3.0